# -*- coding: utf-8 -*-
# Generated by Django 1.11.29 on 2021-11-11 15:52
from __future__ import unicode_literals

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("django_celery_results", "0003_auto_20181106_1101"),
    ]

    operations = [
        migrations.CreateModel(
            name="Role",
            fields=[
                ("name", models.CharField(max_length=255, primary_key=True, serialize=False)),
                ("displayName", models.CharField(blank=True, max_length=255)),
            ],
            options={
                "ordering": ("name",),
            },
        ),
        migrations.CreateModel(
            name="School",
            fields=[
                ("name", models.CharField(max_length=255, primary_key=True, serialize=False)),
                ("displayName", models.CharField(blank=True, max_length=255)),
            ],
            options={
                "ordering": ("name",),
            },
        ),
        migrations.CreateModel(
            name="TextArtifact",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("path", models.CharField(max_length=255, unique=True)),
                ("text", models.TextField(blank=True)),
            ],
            options={
                "ordering": ("-pk",),
            },
        ),
        migrations.CreateModel(
            name="UserImportJob",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("dryrun", models.BooleanField(default=True)),
                ("source_uid", models.CharField(blank=True, max_length=255)),
                (
                    "status",
                    models.CharField(
                        choices=[
                            ("New", "New"),
                            ("Scheduled", "Scheduled"),
                            ("Started", "Started"),
                            ("Aborted", "Aborted"),
                            ("Finished", "Finished"),
                        ],
                        default="New",
                        max_length=10,
                    ),
                ),
                (
                    "user_role",
                    models.CharField(
                        blank=True,
                        choices=[
                            ("staff", "staff"),
                            ("student", "student"),
                            ("teacher", "teacher"),
                            ("teacher_and_staff", "teacher_and_staff"),
                        ],
                        max_length=20,
                    ),
                ),
                ("task_id", models.CharField(blank=True, max_length=40)),
                ("basedir", models.CharField(max_length=255)),
                ("date_created", models.DateTimeField(auto_now_add=True)),
                ("input_file", models.FileField(upload_to="uploads/%Y-%m-%d/")),
                (
                    "principal",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL
                    ),
                ),
                (
                    "result",
                    models.OneToOneField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="django_celery_results.TaskResult",
                    ),
                ),
                (
                    "school",
                    models.ForeignKey(
                        blank=True, on_delete=django.db.models.deletion.CASCADE, to="import_api.School"
                    ),
                ),
            ],
            options={
                "ordering": ("pk",),
            },
        ),
        migrations.CreateModel(
            name="Logfile",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
            },
            bases=("import_api.textartifact",),
        ),
        migrations.CreateModel(
            name="PasswordsFile",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
            },
            bases=("import_api.textartifact",),
        ),
        migrations.CreateModel(
            name="SummaryFile",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
            },
            bases=("import_api.textartifact",),
        ),
        migrations.AddField(
            model_name="userimportjob",
            name="log_file",
            field=models.OneToOneField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="userimportjob_log_file",
                to="import_api.Logfile",
            ),
        ),
        migrations.AddField(
            model_name="userimportjob",
            name="password_file",
            field=models.OneToOneField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="userimportjob_password_file",
                to="import_api.PasswordsFile",
            ),
        ),
        migrations.AddField(
            model_name="userimportjob",
            name="summary_file",
            field=models.OneToOneField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="userimportjob_summary_file",
                to="import_api.SummaryFile",
            ),
        ),
    ]
